import { Component } from "react";
import { View, Image, Text, Button } from "@tarojs/components";
import "./index.less";
import Taro from "@tarojs/taro";
import more from "../../../images/calculator/more.png";
import toShare from "../../../images/calculator/toShare.png";
import wish from "../../../images/calculator/wish.png";
export default class Index extends Component {
  state = {};
  componentDidMount() {}
  // 去TA的捡漏心愿
  toWishList = () => {
    Taro.navigateTo({
      url: `/pages/calculatorSub/calculatorWishList/index`,
    });
  };
  // 去捡漏清单
  calculatorInventory = () => {
    Taro.navigateTo({
      url: `/pages/calculatorSub/calculatorInventory/index`,
    });
  };
  // 配置分享内容
  onShareAppMessage(res) {
    return {
      title: "捡漏计算器",
      path: `/pages/calculatorSub/calculatorWish/index?isShare=true`,
      imageUrl: '',
    }
  }
  render() {
    return (
      <View className="index">
        {/* 顶部 */}
        <View className="top-box">
          <Image className="top-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/topImg.png' />
          <View className="button-box">
            <Image className="button-icon" src='https://yushi.tos-cn-beijing.volces.com/calculator/button.png' />
            <View className="button-text-box">
              <Button openType="share">
                <Text className="button-text">去分享</Text>
                <Image className="to-share-icon" src={toShare} />
              </Button>
            </View>
          </View>
        </View>
        {/* 底部 */}
        <View className="bottom-box">
          <Image mode="heightFix" className="bg-img" src='https://yushi.tos-cn-beijing.volces.com/calculator/bottomImg.png' />
          <View className="content-box">
            <View className="content-title">
              <Image className="wish-icon" src={wish} />
              <Text className="title-text">计算结果</Text>
            </View>
            {/* 列表 */}
            <View className="list-box">
              <View className="list-item">
                <View className="list-item-left">
                  <Image className="avatar" src={wish} />
                  <View className="list-item-left-text">
                    <Text className="name">按时打卡上课的急啊离开就</Text>
                    <Text className="wishNum">15次捡漏许愿</Text>
                  </View>
                </View>
                <View onClick={this.toWishList} className="list-item-right">
                  查看
                </View>
              </View>
            </View>
          </View>
          {/* 查看全部 */}
          <View onClick={this.calculatorInventory} className="all-box">
            <Text className="all-text">查看全部</Text>
            <Image className="all-icon" src={more} />
          </View>
        </View>
      </View>
    );
  }
}
